Bug 844605 - [abrt] meld-1.6.0-1.fc17: meldwindow.py:401:on_menu_quit_activate:RuntimeError: called outside of a mainloop
[abrt] meld-1.6.0-1.fc17: meldwindow.py:401:on_menu_quit_activate:RuntimeErro...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:c6cd2581e561928098ffe506df8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 03:33 EDT by Aditya Mukhopadhyay
Modified: 2013-07-31 19:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aditya Mukhopadhyay 2012-07-31 03:33:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/meld
comment:        Tried to quit from a directory comparison
event_log:      2012-07-31-13:03:11> Smolt profile successfully saved
executable:     /usr/bin/meld
kernel:         3.4.5-2.fc17.x86_64
time:           Tue 31 Jul 2012 13:02:30 IST
uid:            1000
username:       aditya

backtrace:
:meldwindow.py:401:on_menu_quit_activate:RuntimeError: called outside of a mainloop
:
:Traceback (most recent call last):
:  File "/usr/share/meld/meld/meldwindow.py", line 401, in on_menu_quit_activate
:    gtk.main_quit()
:RuntimeError: called outside of a mainloop
:
:Local variables in innermost frame:
:self: <meld.meldwindow.MeldWindow object at 0xc2d450>
:extra: (<gtk.Action object at 0xfe63c0 (GtkAction at 0xa84ee0)>,)

smolt_data:
:
:
:General
:=================================
:UUID: 183c5ca6-7a44-4d03-bb2d-a5e3ac4a4a45
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4390.44
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2330M CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2200
:System Memory: 3866
:System Swap: 4005
:Vendor: LENOVO
:System: 1141BMQ ThinkPad E420
:Form factor: Notebook
:Kernel: 3.4.5-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:6058:8674) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:6058:8674) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:6058:8674) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:7202:6058:8674) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33128:6058:8674) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4480:59427:6058:8674) pci, sdhci-pci, BASE, N/A
:(32902:7171:6058:8674) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8674) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8674) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 12671425 8005849 7370970 3178496 2655097 2655097
:/dev/sda4 /home ext4 4096 4096 64212096 55745703 52531150 16104096 15970716 15970716
:/dev/sda1 WITHHELD ext4 4096 4096 12671425 8005849 7370970 3178496 2655097 2655097
:/dev/sda1 WITHHELD ext4 4096 4096 12671425 8005849 7370970 3178496 2655097 2655097
:/dev/sda1 WITHHELD ext4 4096 4096 12671425 8005849 7370970 3178496 2655097 2655097
:/dev/sda3 /boot ext4 1024 1024 508681 408593 408593 124488 124182 124182
:
Comment 1 Fedora End Of Life 2013-07-03 18:13:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:56:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.